Bug 844122 - psmouse causes ~6 second delay on boot with Trackpoint device on Thinkpad W520
psmouse causes ~6 second delay on boot with Trackpoint device on Thinkpad W520
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 01:42 EDT by Phil
Modified: 2013-08-01 09:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil 2012-07-29 01:42:07 EDT
Description of problem:
~6 second delay on boot waiting for psmouse to detect and load for Trackpoint device.  No problems with Touchpad.

Version-Release number of selected component (if applicable):
3.4.6-2.fc17.x86_64

How reproducible:
Boot with Trackpoint device enabled, look at logs afterwards

Steps to Reproduce:
1. Steal underwear
2. ???
3. Profit
  
Actual results:
Slower boot

Expected results:
Faster boot

Additional info:
With the Trackpoint enabled in the bios...
[    4.346388] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[   10.317795] psmouse serio2: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[   10.653943] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input16
[   11.035207] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)

... 6 second delay starting psmouse serio2: trackpoint: IBM TrackPoint...

With the Trackpoint disabled in the bios...
[    4.357375] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    4.639723] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)
... much faster boot.

A 6 second delay might not seem like much, but since I can boot in ~7 seconds with the Trackpoint disabled, enabling the device nearly doubles my boot time.
Comment 1 Matthias Hensler 2012-11-23 08:06:52 EST
I have the same problem on a Thinkpad T420.

Reproduceable with every kernel, up to 3.6.7-4.fc17.
Comment 2 Matthias Hensler 2013-01-23 08:19:33 EST
Just to confirm that the bug is still present on Fedora 18 with latest kernel from koji.

Booting 3.7.4-203.fc18 with trackpoint enabled:
[...]
[    2.525364] systemd[1]: Started Journal Service.
[    2.525826] systemd[1]: Starting Sockets.
[    2.525878] systemd[1]: Reached target Sockets.
[    2.525922] systemd[1]: Starting Swap.
[    2.525979] systemd[1]: Reached target Swap.
[    2.526017] systemd[1]: Starting Local File Systems.
[    2.526056] systemd[1]: Reached target Local File Systems.
[    8.351403] psmouse serio2: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[    8.608923] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input6
[    8.800706] systemd-udevd[170]: starting version 197
[    9.047398] Disabling lock debugging due to kernel taint
[    9.053922] wmi: Mapper loaded
[    9.056619] firewire_ohci 0000:0d:00.3: found PCI INT D -> IRQ 10
[    9.056638] firewire_ohci 0000:0d:00.3: sharing IRQ 10 with 0000:00:1c.3
[...]

Booting the same kernel after trackpoint is disabled in BIOS:
[...]
[    2.406626] systemd[1]: Starting Journal Service...
[    2.422133] systemd[1]: Started Journal Service.
[    2.422571] systemd[1]: Starting Sockets.
[    2.422625] systemd[1]: Reached target Sockets.
[    2.422672] systemd[1]: Starting Swap.
[    2.422730] systemd[1]: Reached target Swap.
[    2.422772] systemd[1]: Starting Local File Systems.
[    2.422813] systemd[1]: Reached target Local File Systems.
[    2.819656] systemd-udevd[169]: starting version 197
[    3.062893] Disabling lock debugging due to kernel taint
[    3.068882] wmi: Mapper loaded
[    3.071390] sdhci: Secure Digital Host Controller Interface driver
[    3.071393] sdhci: Copyright(c) Pierre Ossman
[    3.071577] sdhci-pci 0000:0d:00.0: SDHCI controller found [1180:e823] (rev 5)
[    3.071642] sdhci-pci 0000:0d:00.0: found PCI INT A -> IRQ 11
[    3.071649] sdhci-pci 0000:0d:00.0: sharing IRQ 11 with 0000:00:16.0
[    3.071654] sdhci-pci 0000:0d:00.0: sharing IRQ 11 with 0000:00:1a.0
[    3.071660] sdhci-pci 0000:0d:00.0: sharing IRQ 11 with 0000:00:1c.0
[    3.071668] sdhci-pci 0000:0d:00.0: sharing IRQ 11 with 0000:00:1c.4
[    3.071679] sdhci-pci 0000:0d:00.0: sharing IRQ 11 with 0000:01:00.0
[    3.071881] Registered led device: mmc0::
[    3.098830] mmc0: SDHCI controller on PCI [0000:0d:00.0] using DMA
[    3.098961] firewire_ohci 0000:0d:00.3: found PCI INT D -> IRQ 10
[    3.098985] firewire_ohci 0000:0d:00.3: sharing IRQ 10 with 0000:00:1c.3
[    3.151883] firewire_ohci 0000:0d:00.3: added OHCI v1.10 device as card 0, 4 IR + 4 IT contexts, quirks 0x11
[...]

This is really annoying ince this 6 seconds delay is also happing on resume from disk.

Any ideas on how to debug this further, or should it reported upstream?
Comment 3 Fedora End Of Life 2013-07-03 19:29:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Matthias Hensler 2013-07-04 03:39:38 EDT
Please change the version to rawhide, as the problem still exists on Fedora 18 and 19.
Comment 5 Fedora End Of Life 2013-07-31 22:14:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Matthias Hensler 2013-08-01 09:43:52 EDT
Please reopen with Version rawhide or Fedora 19.

The bug is still present with 3.10.3-300.fc19.

Note You need to log in before you can comment on or make changes to this bug.